package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class LogDistintaBanca.
 * @see sicura.entities.LogDistintaBanca
 * @author Hibernate Tools
 */
@Stateless
public class LogDistintaBancaHome {

	private static final Log log = LogFactory.getLog(LogDistintaBancaHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(LogDistintaBanca transientInstance) {
		log.debug("persisting LogDistintaBanca instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(LogDistintaBanca persistentInstance) {
		log.debug("removing LogDistintaBanca instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public LogDistintaBanca merge(LogDistintaBanca detachedInstance) {
		log.debug("merging LogDistintaBanca instance");
		try {
			LogDistintaBanca result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public LogDistintaBanca findById(Integer id) {
		log.debug("getting LogDistintaBanca instance with id: " + id);
		try {
			LogDistintaBanca instance = entityManager.find(LogDistintaBanca.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
